//------------------------------------------------------------------------------
//! @file DeclarationsDiags.h
//! @brief Generated diagnostic enums for the Declarations subsystem
//
// SPDX-FileCopyrightText: Michael Popoloski
// SPDX-License-Identifier: MIT
//------------------------------------------------------------------------------
#pragma once

#include "slang/diagnostics/Diagnostics.h"

namespace slang::diag {

inline constexpr DiagCode AlwaysInChecker(DiagSubsystem::Declarations, 0);
inline constexpr DiagCode AnsiIfacePortDefault(DiagSubsystem::Declarations, 1);
inline constexpr DiagCode AssertionPortOutputDefault(DiagSubsystem::Declarations, 2);
inline constexpr DiagCode AssignedToLocalBodyParam(DiagSubsystem::Declarations, 3);
inline constexpr DiagCode AssignedToLocalPortParam(DiagSubsystem::Declarations, 4);
inline constexpr DiagCode AutomaticNotAllowed(DiagSubsystem::Declarations, 5);
inline constexpr DiagCode BadTypeParamExpr(DiagSubsystem::Declarations, 6);
inline constexpr DiagCode BaseConstructorDuplicate(DiagSubsystem::Declarations, 7);
inline constexpr DiagCode BaseConstructorNotCalled(DiagSubsystem::Declarations, 8);
inline constexpr DiagCode BiDiSwitchNetTypes(DiagSubsystem::Declarations, 9);
inline constexpr DiagCode BindTargetPrimitive(DiagSubsystem::Declarations, 10);
inline constexpr DiagCode BindUnderBind(DiagSubsystem::Declarations, 11);
inline constexpr DiagCode BodyForPure(DiagSubsystem::Declarations, 12);
inline constexpr DiagCode BodyForPureConstraint(DiagSubsystem::Declarations, 13);
inline constexpr DiagCode BodyParamNoInitializer(DiagSubsystem::Declarations, 14);
inline constexpr DiagCode CantDeclarePortSigned(DiagSubsystem::Declarations, 15);
inline constexpr DiagCode CheckerBlockingAssign(DiagSubsystem::Declarations, 16);
inline constexpr DiagCode CheckerClassBadInstantiation(DiagSubsystem::Declarations, 17);
inline constexpr DiagCode CheckerFuncArg(DiagSubsystem::Declarations, 18);
inline constexpr DiagCode CheckerFuncBadInstantiation(DiagSubsystem::Declarations, 19);
inline constexpr DiagCode CheckerInCheckerProc(DiagSubsystem::Declarations, 20);
inline constexpr DiagCode CheckerInForkJoin(DiagSubsystem::Declarations, 21);
inline constexpr DiagCode CheckerOutputBadType(DiagSubsystem::Declarations, 22);
inline constexpr DiagCode CheckerParameterAssign(DiagSubsystem::Declarations, 23);
inline constexpr DiagCode CheckerPortDirectionType(DiagSubsystem::Declarations, 24);
inline constexpr DiagCode CheckerTimingControl(DiagSubsystem::Declarations, 25);
inline constexpr DiagCode ConfigDupTop(DiagSubsystem::Declarations, 26);
inline constexpr DiagCode ConfigInstanceUnderOtherConfig(DiagSubsystem::Declarations, 27);
inline constexpr DiagCode ConfigInstanceWrongTop(DiagSubsystem::Declarations, 28);
inline constexpr DiagCode ConfigOverrideTop(DiagSubsystem::Declarations, 29);
inline constexpr DiagCode ConfigParamsForPrimitive(DiagSubsystem::Declarations, 30);
inline constexpr DiagCode ConstPortNotAllowed(DiagSubsystem::Declarations, 31);
inline constexpr DiagCode ConstVarNoInitializer(DiagSubsystem::Declarations, 32);
inline constexpr DiagCode ConstraintNotInClass(DiagSubsystem::Declarations, 33);
inline constexpr DiagCode CoverageBinTargetName(DiagSubsystem::Declarations, 34);
inline constexpr DiagCode CoverageOptionDup(DiagSubsystem::Declarations, 35);
inline constexpr DiagCode CoverageSetType(DiagSubsystem::Declarations, 36);
inline constexpr DiagCode CovergroupOutArg(DiagSubsystem::Declarations, 37);
inline constexpr DiagCode DPIPureArg(DiagSubsystem::Declarations, 38);
inline constexpr DiagCode DPIPureReturn(DiagSubsystem::Declarations, 39);
inline constexpr DiagCode DPIRefArg(DiagSubsystem::Declarations, 40);
inline constexpr DiagCode DefParamLocal(DiagSubsystem::Declarations, 41);
inline constexpr DiagCode DefParamTarget(DiagSubsystem::Declarations, 42);
inline constexpr DiagCode DefaultSuperArgLocalReference(DiagSubsystem::Declarations, 43);
inline constexpr DiagCode DefparamBadHierarchy(DiagSubsystem::Declarations, 44);
inline constexpr DiagCode Delay3OnVar(DiagSubsystem::Declarations, 45);
inline constexpr DiagCode DimensionRequiresConstRange(DiagSubsystem::Declarations, 46);
inline constexpr DiagCode DirectionWithInterfacePort(DiagSubsystem::Declarations, 47);
inline constexpr DiagCode DisallowedPortDefault(DiagSubsystem::Declarations, 48);
inline constexpr DiagCode DupInterfaceExternMethod(DiagSubsystem::Declarations, 49);
inline constexpr DiagCode DuplicateBind(DiagSubsystem::Declarations, 50);
inline constexpr DiagCode DuplicateParamAssignment(DiagSubsystem::Declarations, 51);
inline constexpr DiagCode DuplicatePortConnection(DiagSubsystem::Declarations, 52);
inline constexpr DiagCode DuplicateWildcardPortConnection(DiagSubsystem::Declarations, 53);
inline constexpr DiagCode ErrorTask(DiagSubsystem::Declarations, 54);
inline constexpr DiagCode ExpectedImportExport(DiagSubsystem::Declarations, 55);
inline constexpr DiagCode ExtendClassFromIface(DiagSubsystem::Declarations, 56);
inline constexpr DiagCode ExtendFromFinal(DiagSubsystem::Declarations, 57);
inline constexpr DiagCode ExtendIfaceFromClass(DiagSubsystem::Declarations, 58);
inline constexpr DiagCode ExternFuncForkJoin(DiagSubsystem::Declarations, 59);
inline constexpr DiagCode ExternIfaceArrayMethod(DiagSubsystem::Declarations, 60);
inline constexpr DiagCode FatalTask(DiagSubsystem::Declarations, 61);
inline constexpr DiagCode GenvarDuplicate(DiagSubsystem::Declarations, 62);
inline constexpr DiagCode GenvarUnknownBits(DiagSubsystem::Declarations, 63);
inline constexpr DiagCode GlobalClockingGenerate(DiagSubsystem::Declarations, 64);
inline constexpr DiagCode IfaceMethodHidden(DiagSubsystem::Declarations, 65);
inline constexpr DiagCode IfaceMethodNoImpl(DiagSubsystem::Declarations, 66);
inline constexpr DiagCode IfaceMethodNotExtern(DiagSubsystem::Declarations, 67);
inline constexpr DiagCode IfaceMethodNotVirtual(DiagSubsystem::Declarations, 68);
inline constexpr DiagCode IfaceNameConflict(DiagSubsystem::Declarations, 69);
inline constexpr DiagCode IfacePortInExpr(DiagSubsystem::Declarations, 70);
inline constexpr DiagCode ImplementNonIface(DiagSubsystem::Declarations, 71);
inline constexpr DiagCode ImplicitConnNetInconsistent(DiagSubsystem::Declarations, 72);
inline constexpr DiagCode ImplicitNamedPortNotFound(DiagSubsystem::Declarations, 73);
inline constexpr DiagCode InOutPortCannotBeVariable(DiagSubsystem::Declarations, 74);
inline constexpr DiagCode InOutUWirePort(DiagSubsystem::Declarations, 75);
inline constexpr DiagCode InheritFromAbstract(DiagSubsystem::Declarations, 76);
inline constexpr DiagCode InheritFromAbstractConstraint(DiagSubsystem::Declarations, 77);
inline constexpr DiagCode InstanceMissingParens(DiagSubsystem::Declarations, 78);
inline constexpr DiagCode InstanceNameRequired(DiagSubsystem::Declarations, 79);
inline constexpr DiagCode InstanceWithDelay(DiagSubsystem::Declarations, 80);
inline constexpr DiagCode InstanceWithStrength(DiagSubsystem::Declarations, 81);
inline constexpr DiagCode InterconnectMultiPort(DiagSubsystem::Declarations, 82);
inline constexpr DiagCode InterconnectPortVar(DiagSubsystem::Declarations, 83);
inline constexpr DiagCode InterfacePortNotConnected(DiagSubsystem::Declarations, 84);
inline constexpr DiagCode InterfacePortTypeMismatch(DiagSubsystem::Declarations, 85);
inline constexpr DiagCode InvalidClockingSignal(DiagSubsystem::Declarations, 86);
inline constexpr DiagCode InvalidDPIArgType(DiagSubsystem::Declarations, 87);
inline constexpr DiagCode InvalidDPIReturnType(DiagSubsystem::Declarations, 88);
inline constexpr DiagCode InvalidDimensionRange(DiagSubsystem::Declarations, 89);
inline constexpr DiagCode InvalidInstanceForParent(DiagSubsystem::Declarations, 90);
inline constexpr DiagCode InvalidMethodOverride(DiagSubsystem::Declarations, 91);
inline constexpr DiagCode InvalidNGateCount(DiagSubsystem::Declarations, 92);
inline constexpr DiagCode InvalidNetType(DiagSubsystem::Declarations, 93);
inline constexpr DiagCode InvalidPortSubType(DiagSubsystem::Declarations, 94);
inline constexpr DiagCode InvalidPortType(DiagSubsystem::Declarations, 95);
inline constexpr DiagCode InvalidPrimInstanceForParent(DiagSubsystem::Declarations, 96);
inline constexpr DiagCode InvalidPrimitivePortConn(DiagSubsystem::Declarations, 97);
inline constexpr DiagCode InvalidRandType(DiagSubsystem::Declarations, 98);
inline constexpr DiagCode InvalidRandomizeOverride(DiagSubsystem::Declarations, 99);
inline constexpr DiagCode InvalidSpecifyDest(DiagSubsystem::Declarations, 100);
inline constexpr DiagCode InvalidSpecifyPath(DiagSubsystem::Declarations, 101);
inline constexpr DiagCode InvalidSpecifySource(DiagSubsystem::Declarations, 102);
inline constexpr DiagCode InvalidSpecifyType(DiagSubsystem::Declarations, 103);
inline constexpr DiagCode InvalidStmtInChecker(DiagSubsystem::Declarations, 104);
inline constexpr DiagCode InvalidTimingCheckNotifierArg(DiagSubsystem::Declarations, 105);
inline constexpr DiagCode InvalidUserDefinedNetType(DiagSubsystem::Declarations, 106);
inline constexpr DiagCode LocalParamNoInitializer(DiagSubsystem::Declarations, 107);
inline constexpr DiagCode LocalVarTypeRequired(DiagSubsystem::Declarations, 108);
inline constexpr DiagCode MaxGenerateStepsExceeded(DiagSubsystem::Declarations, 109);
inline constexpr DiagCode MaxInstanceArrayExceeded(DiagSubsystem::Declarations, 110);
inline constexpr DiagCode MemberDefinitionBeforeClass(DiagSubsystem::Declarations, 111);
inline constexpr DiagCode MethodArgCountMismatch(DiagSubsystem::Declarations, 112);
inline constexpr DiagCode MethodArgDefaultMismatch(DiagSubsystem::Declarations, 113);
inline constexpr DiagCode MethodArgDirectionMismatch(DiagSubsystem::Declarations, 114);
inline constexpr DiagCode MethodArgNameMismatch(DiagSubsystem::Declarations, 115);
inline constexpr DiagCode MethodArgNoDefault(DiagSubsystem::Declarations, 116);
inline constexpr DiagCode MethodArgTypeMismatch(DiagSubsystem::Declarations, 117);
inline constexpr DiagCode MethodKindMismatch(DiagSubsystem::Declarations, 118);
inline constexpr DiagCode MethodReturnMismatch(DiagSubsystem::Declarations, 119);
inline constexpr DiagCode MethodReturnTypeScoped(DiagSubsystem::Declarations, 120);
inline constexpr DiagCode MismatchConstraintSpecifiers(DiagSubsystem::Declarations, 121);
inline constexpr DiagCode MismatchStaticConstraint(DiagSubsystem::Declarations, 122);
inline constexpr DiagCode MismatchedTimeScales(DiagSubsystem::Declarations, 123);
inline constexpr DiagCode MismatchedUserDefPortConn(DiagSubsystem::Declarations, 124);
inline constexpr DiagCode MismatchedUserDefPortDir(DiagSubsystem::Declarations, 125);
inline constexpr DiagCode MissingExternWildcardPorts(DiagSubsystem::Declarations, 126);
inline constexpr DiagCode MissingPortIODeclaration(DiagSubsystem::Declarations, 127);
inline constexpr DiagCode MixingOrderedAndNamedParams(DiagSubsystem::Declarations, 128);
inline constexpr DiagCode MixingOrderedAndNamedPorts(DiagSubsystem::Declarations, 129);
inline constexpr DiagCode MixingSubroutinePortKinds(DiagSubsystem::Declarations, 130);
inline constexpr DiagCode ModportConnMismatch(DiagSubsystem::Declarations, 131);
inline constexpr DiagCode MultipleDefaultConstructorArg(DiagSubsystem::Declarations, 132);
inline constexpr DiagCode MultipleDefaultInputSkew(DiagSubsystem::Declarations, 133);
inline constexpr DiagCode MultipleDefaultOutputSkew(DiagSubsystem::Declarations, 134);
inline constexpr DiagCode NetAliasCommonNetType(DiagSubsystem::Declarations, 135);
inline constexpr DiagCode NetAliasHierarchical(DiagSubsystem::Declarations, 136);
inline constexpr DiagCode NetAliasNotANet(DiagSubsystem::Declarations, 137);
inline constexpr DiagCode NetAliasWidthMismatch(DiagSubsystem::Declarations, 138);
inline constexpr DiagCode NoChangeEdgeRequired(DiagSubsystem::Declarations, 139);
inline constexpr DiagCode NoMemberImplFound(DiagSubsystem::Declarations, 140);
inline constexpr DiagCode NotAChecker(DiagSubsystem::Declarations, 141);
inline constexpr DiagCode NotAClockingBlock(DiagSubsystem::Declarations, 142);
inline constexpr DiagCode NotAProduction(DiagSubsystem::Declarations, 143);
inline constexpr DiagCode NotAllowedInModport(DiagSubsystem::Declarations, 144);
inline constexpr DiagCode NullPortExpression(DiagSubsystem::Declarations, 145);
inline constexpr DiagCode OverridingFinal(DiagSubsystem::Declarations, 146);
inline constexpr DiagCode OverridingInitial(DiagSubsystem::Declarations, 147);
inline constexpr DiagCode PackageExportSelf(DiagSubsystem::Declarations, 148);
inline constexpr DiagCode PackageImportSelf(DiagSubsystem::Declarations, 149);
inline constexpr DiagCode PackageNetInit(DiagSubsystem::Declarations, 150);
inline constexpr DiagCode PackedDimsRequireFullRange(DiagSubsystem::Declarations, 151);
inline constexpr DiagCode ParallelPathWidth(DiagSubsystem::Declarations, 152);
inline constexpr DiagCode ParamHasNoValue(DiagSubsystem::Declarations, 153);
inline constexpr DiagCode ParameterDoesNotExist(DiagSubsystem::Declarations, 154);
inline constexpr DiagCode PathPulseInvalidPathName(DiagSubsystem::Declarations, 155);
inline constexpr DiagCode PortConcatInOut(DiagSubsystem::Declarations, 156);
inline constexpr DiagCode PortConcatRef(DiagSubsystem::Declarations, 157);
inline constexpr DiagCode PortConnDimensionsMismatch(DiagSubsystem::Declarations, 158);
inline constexpr DiagCode PortDeclDimensionsMismatch(DiagSubsystem::Declarations, 159);
inline constexpr DiagCode PortDeclInANSIModule(DiagSubsystem::Declarations, 160);
inline constexpr DiagCode PortDoesNotExist(DiagSubsystem::Declarations, 161);
inline constexpr DiagCode PortTypeNotInterfaceOrData(DiagSubsystem::Declarations, 162);
inline constexpr DiagCode PrimitiveAnsiMix(DiagSubsystem::Declarations, 163);
inline constexpr DiagCode PrimitiveDupInitial(DiagSubsystem::Declarations, 164);
inline constexpr DiagCode PrimitiveDupOutput(DiagSubsystem::Declarations, 165);
inline constexpr DiagCode PrimitiveInitVal(DiagSubsystem::Declarations, 166);
inline constexpr DiagCode PrimitiveInitialInComb(DiagSubsystem::Declarations, 167);
inline constexpr DiagCode PrimitiveOutputFirst(DiagSubsystem::Declarations, 168);
inline constexpr DiagCode PrimitivePortCountWrong(DiagSubsystem::Declarations, 169);
inline constexpr DiagCode PrimitivePortDup(DiagSubsystem::Declarations, 170);
inline constexpr DiagCode PrimitivePortMissing(DiagSubsystem::Declarations, 171);
inline constexpr DiagCode PrimitivePortUnknown(DiagSubsystem::Declarations, 172);
inline constexpr DiagCode PrimitiveRegDup(DiagSubsystem::Declarations, 173);
inline constexpr DiagCode PrimitiveRegInput(DiagSubsystem::Declarations, 174);
inline constexpr DiagCode PrimitiveTwoPorts(DiagSubsystem::Declarations, 175);
inline constexpr DiagCode PrimitiveWrongInitial(DiagSubsystem::Declarations, 176);
inline constexpr DiagCode PropertyPortInLet(DiagSubsystem::Declarations, 177);
inline constexpr DiagCode PropertyPortInSeq(DiagSubsystem::Declarations, 178);
inline constexpr DiagCode PureConstraintInAbstract(DiagSubsystem::Declarations, 179);
inline constexpr DiagCode PureInAbstract(DiagSubsystem::Declarations, 180);
inline constexpr DiagCode RandJoinNotNumeric(DiagSubsystem::Declarations, 181);
inline constexpr DiagCode RealCoverpointBins(DiagSubsystem::Declarations, 182);
inline constexpr DiagCode RealCoverpointDefaultArray(DiagSubsystem::Declarations, 183);
inline constexpr DiagCode RealCoverpointImplicit(DiagSubsystem::Declarations, 184);
inline constexpr DiagCode RealCoverpointTransBins(DiagSubsystem::Declarations, 185);
inline constexpr DiagCode RealCoverpointWildcardBins(DiagSubsystem::Declarations, 186);
inline constexpr DiagCode RealCoverpointWithExpr(DiagSubsystem::Declarations, 187);
inline constexpr DiagCode RefArgAutomaticFunc(DiagSubsystem::Declarations, 188);
inline constexpr DiagCode RefPortMustBeVariable(DiagSubsystem::Declarations, 189);
inline constexpr DiagCode RefPortUnconnected(DiagSubsystem::Declarations, 190);
inline constexpr DiagCode RefPortUnnamedUnconnected(DiagSubsystem::Declarations, 191);
inline constexpr DiagCode SingleBitVectored(DiagSubsystem::Declarations, 192);
inline constexpr DiagCode SpecifyPathMultiDim(DiagSubsystem::Declarations, 193);
inline constexpr DiagCode StaticAssert(DiagSubsystem::Declarations, 194);
inline constexpr DiagCode StaticConstNoInitializer(DiagSubsystem::Declarations, 195);
inline constexpr DiagCode SubroutinePortInitializer(DiagSubsystem::Declarations, 196);
inline constexpr DiagCode TimeScaleFirstInScope(DiagSubsystem::Declarations, 197);
inline constexpr DiagCode TimingCheckEventEdgeRequired(DiagSubsystem::Declarations, 198);
inline constexpr DiagCode TimingCheckEventNotAllowed(DiagSubsystem::Declarations, 199);
inline constexpr DiagCode TooManyParamAssignments(DiagSubsystem::Declarations, 200);
inline constexpr DiagCode TooManyPortConnections(DiagSubsystem::Declarations, 201);
inline constexpr DiagCode TypeRestrictionMismatch(DiagSubsystem::Declarations, 202);
inline constexpr DiagCode UdpAllX(DiagSubsystem::Declarations, 203);
inline constexpr DiagCode UdpDupDiffOutput(DiagSubsystem::Declarations, 204);
inline constexpr DiagCode UdpWrongInputCount(DiagSubsystem::Declarations, 205);
inline constexpr DiagCode UnknownCovergroupBase(DiagSubsystem::Declarations, 206);
inline constexpr DiagCode UnknownInterface(DiagSubsystem::Declarations, 207);
inline constexpr DiagCode UnknownModule(DiagSubsystem::Declarations, 208);
inline constexpr DiagCode UnknownPackage(DiagSubsystem::Declarations, 209);
inline constexpr DiagCode UnknownPrimitive(DiagSubsystem::Declarations, 210);
inline constexpr DiagCode UnknownSystemTimingCheck(DiagSubsystem::Declarations, 211);
inline constexpr DiagCode UnpackedArrayParamType(DiagSubsystem::Declarations, 212);
inline constexpr DiagCode UnusedPortDecl(DiagSubsystem::Declarations, 213);
inline constexpr DiagCode UserDefPortMixedConcat(DiagSubsystem::Declarations, 214);
inline constexpr DiagCode UserDefPortTwoSided(DiagSubsystem::Declarations, 215);
inline constexpr DiagCode VarDeclWithDelay(DiagSubsystem::Declarations, 216);
inline constexpr DiagCode VarWithInterfacePort(DiagSubsystem::Declarations, 217);
inline constexpr DiagCode VirtualArgCountMismatch(DiagSubsystem::Declarations, 218);
inline constexpr DiagCode VirtualArgDirectionMismatch(DiagSubsystem::Declarations, 219);
inline constexpr DiagCode VirtualArgNameMismatch(DiagSubsystem::Declarations, 220);
inline constexpr DiagCode VirtualArgNoDerivedDefault(DiagSubsystem::Declarations, 221);
inline constexpr DiagCode VirtualArgNoParentDefault(DiagSubsystem::Declarations, 222);
inline constexpr DiagCode VirtualArgTypeMismatch(DiagSubsystem::Declarations, 223);
inline constexpr DiagCode VirtualInterfaceIfaceMember(DiagSubsystem::Declarations, 224);
inline constexpr DiagCode VirtualKindMismatch(DiagSubsystem::Declarations, 225);
inline constexpr DiagCode VirtualReturnMismatch(DiagSubsystem::Declarations, 226);
inline constexpr DiagCode VirtualVisibilityMismatch(DiagSubsystem::Declarations, 227);
inline constexpr DiagCode WildcardPortGenericIface(DiagSubsystem::Declarations, 228);
inline constexpr DiagCode InfoTask(DiagSubsystem::Declarations, 229);
inline constexpr DiagCode NoteCommonAncestor(DiagSubsystem::Declarations, 230);
inline constexpr DiagCode NoteComparisonReduces(DiagSubsystem::Declarations, 231);
inline constexpr DiagCode NoteUdpCoverage(DiagSubsystem::Declarations, 232);
inline constexpr DiagCode CaseGenerateDup(DiagSubsystem::Declarations, 233);
inline constexpr DiagCode CaseGenerateNoBlock(DiagSubsystem::Declarations, 234);
inline constexpr DiagCode DPISpecDisallowed(DiagSubsystem::Declarations, 235);
inline constexpr DiagCode DupConfigRule(DiagSubsystem::Declarations, 236);
inline constexpr DiagCode DupTimingPath(DiagSubsystem::Declarations, 237);
inline constexpr DiagCode DuplicateAttribute(DiagSubsystem::Declarations, 238);
inline constexpr DiagCode EmptyMember(DiagSubsystem::Declarations, 239);
inline constexpr DiagCode EmptyUdpPort(DiagSubsystem::Declarations, 240);
inline constexpr DiagCode ImplicitNamedPortTypeMismatch(DiagSubsystem::Declarations, 241);
inline constexpr DiagCode ImplicitNetPortNoDefault(DiagSubsystem::Declarations, 242);
inline constexpr DiagCode InvalidPulseStyle(DiagSubsystem::Declarations, 243);
inline constexpr DiagCode NetInconsistent(DiagSubsystem::Declarations, 244);
inline constexpr DiagCode NetRangeInconsistent(DiagSubsystem::Declarations, 245);
inline constexpr DiagCode NoConstraintBody(DiagSubsystem::Declarations, 246);
inline constexpr DiagCode SignednessNoEffect(DiagSubsystem::Declarations, 247);
inline constexpr DiagCode StaticInitOrder(DiagSubsystem::Declarations, 248);
inline constexpr DiagCode StaticInitValue(DiagSubsystem::Declarations, 249);
inline constexpr DiagCode StaticInitializerMustBeExplicit(DiagSubsystem::Declarations, 250);
inline constexpr DiagCode UdpCoverage(DiagSubsystem::Declarations, 251);
inline constexpr DiagCode UnconnectedNamedPort(DiagSubsystem::Declarations, 252);
inline constexpr DiagCode UnconnectedUnnamedPort(DiagSubsystem::Declarations, 253);
inline constexpr DiagCode UnusedConfigCell(DiagSubsystem::Declarations, 254);
inline constexpr DiagCode UnusedConfigInstance(DiagSubsystem::Declarations, 255);
inline constexpr DiagCode WarnUnknownLibrary(DiagSubsystem::Declarations, 256);
inline constexpr DiagCode WarningTask(DiagSubsystem::Declarations, 257);

}
